[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.HashFunction

Hash function currently in use

## Declaration

Source position: contnrs.pp line 383

`public property TFPCustomHashTable.HashFunction: THashFunction read FHashFunction write SetHashFunction;`

## Description

HashFunction is the hash function currently in use to calculate hash values from keys. The property can be set, this simply calls SetHashFunction. Note that setting the hash function does NOT the hash value of all keys to be recomputed, so changing the value while there are still keys in the table is not a good idea.

## See also

SetHashFunction
HashTableSize |  | Size of the hash table

The latest version of this document can be found at lazarus-ccr.sourceforge.net .